---
title: CanvasRenderingContext2D.canvas
slug: Web/API/CanvasRenderingContext2D/canvas
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Property
  - Reference
---
<div>{{APIRef}}</div>

<p>The <code><strong>CanvasRenderingContext2D.canvas</strong></code> property, part of the <a href="/en-US/docs/Web/API/Canvas_API">Canvas API</a>, is a read-only reference to the {{domxref("HTMLCanvasElement")}} object that is associated with a given context. It might be {{jsxref("null")}} if there is no associated {{HTMLElement("canvas")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox"><var><em>ctx</em></var>.canvas;</pre>

<h2 id="Examples">Examples</h2>

<p>Given this {{HTMLElement("canvas")}} element:</p>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<p>... you can get a reference to the canvas element within the <code>CanvasRenderingContext2D</code> by using the <code>canvas</code> property:</p>

<pre class="brush: js">var canvas = document.getElementById('canvas');
var ctx = canvas.getContext('2d');
ctx.canvas // HTMLCanvasElement
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG', "scripting.html#dom-context-2d-canvas", "CanvasRenderingContext2D.canvas")}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td> </td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.canvas")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CanvasRenderingContext2D")}} interface</li>
 <li><a href="/en-US/docs/Web/API/Canvas_API">Canvas API</a></li>
</ul>
